claw::exception Class Reference

A simple class to use as exception with string message. More...

`#include <exception.hpp>`

Inheritance diagram for claw::exception:

## Public Member Functions

| exception (const std::string &msg) throw ()
| Constructor.
| ~exception () throw ()
| Desctructor.
const char * | what () const throw ()
| Get a short description of the problem.

## Detailed Description

A simple class to use as exception with string message.

Author
  Julien Jorge

Definition at line 42 of file exception.hpp.

## Constructor & Destructor Documentation

## exception()

claw::exception::exception | ( | const std::string & | msg | ) |
throw | ( | ) |  |  |

inline

Constructor.

Parameters

  msg | A short description of the problem.

Definition at line 50 of file exception.hpp.

Referenced by claw::pattern::bad_type_identifier::bad_type_identifier().

## ~exception()

claw::exception::~exception | ( |  | ) |
throw | ( | ) |  |  |

inline

Desctructor.

Definition at line 55 of file exception.hpp.

## Member Function Documentation

## what()

const char * claw::exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline

Get a short description of the problem.

Definition at line 58 of file exception.hpp.

The documentation for this class was generated from the following file:

- exception.hpp